Skip to main content
POST
Cancel subscription schedule

Path Parameters

schedule_id
string
required

Schedule ID (optional if using request body)

Body

application/json

Cancel request (optional if using path parameter)

Request to cancel a subscription schedule (supports two modes)

schedule_id
string

schedule_id is the ID of the schedule to cancel (optional if subscription_id and schedule_type are provided)

schedule_type
enum<string>
Available options:
plan_change,
cancellation
subscription_id
string

subscription_id is the ID of the subscription (required if schedule_id is not provided)

Response

200 - application/json

OK

Confirmation of schedule cancellation

message
string

message is a confirmation message

status
enum<string>
Available options:
pending,
executing,
executed,
cancelled,
failed